# NocoDB pour YunoHost

[![Niveau d'intégration](https://dash.yunohost.org/integration/nocodb.svg)](https://dash.yunohost.org/appci/app/nocodb) ![](https://ci-apps.yunohost.org/ci/badges/nocodb.status.svg) ![](https://ci-apps.yunohost.org/ci/badges/nocodb.maintain.svg)  
[![Installer NocoDB avec YunoHost](https://install-app.yunohost.org/install-with-yunohost.svg)](https://install-app.yunohost.org/?app=nocodb)

*[Read this readme in english.](./README.md)*
*[Lire ce readme en français.](./README_fr.md)*

> *Ce package vous permet d'installer NocoDB rapidement et simplement sur un serveur YunoHost.
Si vous n'avez pas YunoHost, regardez [ici](https://yunohost.org/#/install) pour savoir comment l'installer et en profiter.*

## Vue d'ensemble

NocoDB is an open source NoCode platform that turns any database into a smart spreadsheet, alternative to Airtable.

* Connect to new/existing SQL database and turn them into spreadsheet.
* Create grid view, gallery view, kanban view and calendar view on top your data
* Search, sort, filter columns and rows with ultra ease
* Invite your team with fine grained Access Control
* Share views publicly and also with password protection
* Provides REST & GraphQL APIs with Swagger & GraphiQL GUI

*(from NocoDB's website)*


**Version incluse :** 0.9~ynh1

**Démo :** https://www.nocodb.com/demos

## Captures d'écran

![](./doc/screenshots/example.png)

## Avertissements / informations importantes

NocoDB has its own authentication system which does not rely on YunoHost's SSO or LDAP server.
  * You can make it public, especially if you need its API.
  * You will need to create the first admin right after installation.

## Documentations et ressources

* Site officiel de l'app : https://www.nocodb.com/
* Dépôt de code officiel de l'app : https://github.com/nocodb/nocodb
* Documentation YunoHost pour cette app : https://yunohost.org/app_nocodb
* Signaler un bug : https://github.com/YunoHost-Apps/nocodb_ynh/issues

## Informations pour les développeurs

Merci de faire vos pull request sur la [branche testing](https://github.com/YunoHost-Apps/nocodb_ynh/tree/testing).

Pour essayer la branche testing, procédez comme suit.
```
sudo yunohost app install https://github.com/YunoHost-Apps/nocodb_ynh/tree/testing --debug
ou
sudo yunohost app upgrade nocodb -u https://github.com/YunoHost-Apps/nocodb_ynh/tree/testing --debug
```

**Plus d'infos sur le packaging d'applications :** https://yunohost.org/packaging_apps